% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/delay.R
\name{getDist}
\alias{getDist}
\title{Get delay distribution function}
\usage{
getDist(
  distribution = c("exponential", "weibull"),
  type = c("cdf", "prob", "density", "random", "param"),
  twoPhase = FALSE,
  twoGroup = FALSE,
  bind = NULL,
  profiled = FALSE,
  transformed = FALSE
)
}
\arguments{
\item{distribution}{character(1). delay distribution.}

\item{type}{character(1). type of function, cdf: cumulative distribution function, density or random function}

\item{twoPhase}{logical(1). For \code{type='param'}, do we model two phases?}

\item{twoGroup}{logical(1). For type='param', do we have two groups?}

\item{bind}{character. For type='param', names of parameters that are bind between the two groups.}

\item{profiled}{logical(1). For type='param', do we request profiling?}

\item{transformed}{logical(1). For type='param', do we need parameter names transformed (as used inside the optimization function?)}
}
\value{
selected distribution function or parameter names
}
\description{
Get delay distribution function
}
