% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/delay_test.R
\name{test_GOF}
\alias{test_GOF}
\title{Goodness-of-fit (GOF) test statistic.}
\usage{
test_GOF(delayFit, method = c("moran", "pearson"))
}
\arguments{
\item{delayFit}{delay_model fit}

\item{method}{character(1). which method to use for GOF. Default is 'moran'.}
}
\value{
An \code{htest}-object containing the GOF-test result
}
\description{
The GOF-test is performed for a fitted delay-model.
There are different GOF-tests implemented:
\itemize{
\item \strong{Moran GOF} is based on spacings, like the MPSE-criterion itself.
\item \strong{Pearson GOF} uses categories and compares observed to expected frequencies.
}
}
